package lsedit;

import java.applet.*; 

import java.awt.*;



public class AttributeEditClassDialog extends EditClassAttribute {



    protected EntityClass ec;



    protected int style;



    public AttributeEditClassDialog(EntityClass ec, Frame f) {

        // Create a dialog

        super(f);



	this.ec = ec;



	Color c = ec.getColor();



	id.setText(ec.getId());

	label.setText(ec.getLabel());



	e_c_r.setText("" + c.getRed());

	e_c_g.setText("" + c.getGreen());

	e_c_b.setText("" + c.getBlue());



	c = ec.getLabelColor();



	l_c_r.setText("" + c.getRed());

	l_c_g.setText("" + c.getGreen());

	l_c_b.setText("" + c.getBlue());



	style = ec.getStyle();



	Checkbox cb = null;



	switch(style)

	{

	case EntityClass.ENTITY_STYLE_3DBOX:

	    cb = style0;

	    break;



	case EntityClass.ENTITY_STYLE_2DBOX:

	    cb = style1;

	    break;



	case EntityClass.ENTITY_STYLE_FILE:

	    cb = style2;

	    break;



	case EntityClass.ENTITY_STYLE_DISK:

	    cb = style3;

	    break;



	case EntityClass.ENTITY_STYLE_FOLDER:

	    cb = style4;

	    break;

	}



	group.setCurrent(cb);

    }



    void OK_button_action(Event evt, Object arg) { 

	//Button OK_button was hit

	ec.setLabel(label.getText()); 

	this.hide();

	this.dispose();

    }



    void Cancel_button_action(Event evt, Object arg) { 

	//Button Cancel_button was hit

	this.hide();

	this.dispose();

    }



    void style0_action(Event evt, Object arg){ //Checkbox style0 was clicked

	style = 0;

    }



    void style1_action(Event evt, Object arg){ //Checkbox style1 was clicked

        style = 1;

    }



    void style2_action(Event evt, Object arg){ //Checkbox style2 was clicked

        style = 2;

    }



    void style3_action(Event evt, Object arg){ //Checkbox style3 was clicked

	style = 3;

    }



    void style4_action(Event evt, Object arg){ //Checkbox style4 was clicked

	style = 4;

    }



    public static void Create(Applet ap, EntityClass ec) {

	Container c = ap; 



	do { 

	    c = c.getParent(); 

	} while (!(c instanceof Frame)); 



	AttributeEditClassDialog teb = 

		new AttributeEditClassDialog(ec, (Frame) c); 



	teb.show(); 

    }

}

