package lsedit;

import java.awt.*;

import java.util.*;

import java.io.*;



// Rounded-edge 2D Boxes in a landscape 



public class ClassEntity extends BaseEntity {



    public ClassEntity() {

    }

      

    public ClassEntity(EntityClass parentClass, String id, Diagram dg) {

	super(parentClass, id, dg);

    }



    public void draw(Graphics g) {

	setColor(g);



	ScreenLayout rect = new ScreenLayout(x(), y(), width(), height()); 



	int arc_w = rect.width/5;

	int arc_h = rect.height/5;



	int arc = Math.min(arc_w, arc_h);



        g.fillRoundRect(rect.x, rect.y, rect.width, rect.height, arc, arc);



	g.setColor(Color.black);



        g.drawRoundRect(rect.x, rect.y, rect.width, rect.height, arc, arc);

	

	drawFlagAttributes(g, rect);



	// Now handle annotation tabs 



	drawAnnotationTabs(g);

    }



    protected void drawTopLeftLabel(Graphics g) {

	g.setFont(openFont);

	g.setColor(Color.black); 



	Util.drawStringClipped(g, label, x()+MARGIN*3, y()+MARGIN, 

					width()-MARGIN*2, height()-MARGIN*2);

    }

}

