package lsedit;

import java.applet.*; 

import java.awt.*;

import java.util.*;



public class EditNewEntityDialog extends EditNewEntity {



    protected static boolean rc = false;



    protected static EntityInfo einf = new EntityInfo();



    protected Vector classes;



    protected void setClassValues() {

	einf.color  = einf.ec.getColor();

	einf.lcolor = einf.ec.getLabelColor();

	einf.style  = einf.ec.getStyle();



	e_c_r.setText("" + einf.color.getRed());

	e_c_g.setText("" + einf.color.getGreen());

	e_c_b.setText("" + einf.color.getBlue());



	l_c_r.setText("" + einf.lcolor.getRed());

	l_c_g.setText("" + einf.lcolor.getGreen());

	l_c_b.setText("" + einf.lcolor.getBlue());



	style.select(einf.style);

    }



    public EditNewEntityDialog(Frame f, LandscapeViewerCore ls) {

        // Create a dialog

        super(f);



	id.setText(einf.id);

	label.setText(einf.id);



	Checkbox cb = null;



	Enumeration en = ls.getDiagram().enumEntityClasses(); 

	en.nextElement();



	classes = new Vector();



	while (en.hasMoreElements()) {

	    EntityClass ec = (EntityClass) en.nextElement();



	    classes.addElement(ec);



	    type.addItem(ec.getLabel());

	}



	for (int i=0; i < EntityClass.styleName.length; i++) {

	    style.addItem(EntityClass.styleName[i]);

	}



	setClassValues();

    }



    void OK_button_action(Event evt, Object arg) { 

	//Button OK_button was hit

	rc = true;



	einf.id    = id.getText(); 

	einf.label = label.getText(); 

	einf.desc  = Util.stripNL(description.getText());

	

	this.hide();

	this.dispose();

    }



    void Cancel_button_action(Event evt, Object arg) { 

	//Button Cancel_button was hit

	rc = false;

	this.hide();

	this.dispose();

    }



    void style_action(Event evt, Object arg){ //Checkbox style0 was clicked

	einf.style = style.getSelectedIndex();

    }



    void type_action(Event evt, Object arg){ //Choice type was changed

	einf.ec = (EntityClass) classes.elementAt(type.getSelectedIndex());



	setClassValues();

    }



    public static EntityInfo 

	Create(LandscapeViewerCore ls, EntityClass ec, String id)

    {

	Container c = ls; 



	do { 

	    c = c.getParent(); 

	} while (!(c instanceof Frame)); 



	einf.id    = id;

	einf.ec    = ec;



	EditNewEntityDialog teb = new EditNewEntityDialog((Frame) c, ls);



	teb.show(); 



	if (rc)

	    return einf;



	return null;

    }

}

