package lsedit;
import java.awt.*;
import java.util.*;

public class Elision_u_Button extends ToolBarButton
{
    protected static final String description = "Hide/show use edges";

    protected String getDesc() {
	return description;
    }

    protected void paintIcon(Graphics gc) {
	Dimension dim = size();

	int w = dim.width/2;
	int h = dim.height/2 - MARGIN*2;
	
	gc.setColor(Color.cyan);
	gc.fillRect(MARGIN*2, dim.height/2, w, h);

	gc.setColor(Color.black);
	gc.drawRect(MARGIN*2, dim.height/2, w, h);

	int x = MARGIN*2 + w/2;

	drawEdge(gc, x, MARGIN*2, x, dim.height/2);
    }

    public Elision_u_Button(ToolBarEventHandler teh) {
	super(teh);
	key = 'u';
	momentary = false;
    }
}
