package lsedit;

import java.awt.*;

import java.applet.*;

import java.io.*;

import java.util.*;

import java.awt.event.*;



public class FindBox extends Dialog {



    public static final int FIND = 0;

    public static final int CANCEL = 1;



    public static boolean substrings = false;

    public static boolean casesens = true;



    protected Button findButton, canButton;

    protected Label label;

    protected TextField text;

    protected Checkbox cb_sub, cb_case;



    protected static String searchStr = "";



    public FindBox(Frame f, String title)

    {

        // Create a dialog 

        super(f, title, true);

        this.setLayout(new BorderLayout());



	Label l = new Label("");

	this.add("West", l);

	l = new Label("");

	this.add("East", l);



	Panel p = new Panel();

        p.setLayout(new BorderLayout());



        label = new Label("Pattern (* and ? accepted):");

        p.add("North", label);



        // Create input component and add it to the window

        text = new TextField(searchStr, 30);

        p.add("Center", text);



	cb_case = new Checkbox("Case sensitive");

	cb_case.setState(casesens);

	p.add("South", cb_case);



	this.add("Center", p);



	p = new Panel();

	p.setLayout(new FlowLayout());



        findButton = new Button("Find");

        p.add(findButton);



        canButton = new Button("Cancel");

        p.add(canButton);



	this.add("South", p);



        // Resize the window to the preferred size of its components

        this.pack();

    }



    // Pop down the window when the button is clicked.

    public boolean action(Event e, Object arg)

    {

	// System.out.println("event: " + e);



        if (e.target == findButton || e.target == text) {

	    this.hide();

	    this.dispose();

	    searchStr = text.getText();

            return true;

	}

	else if (e.target == canButton) {

	    this.hide();

	    this.dispose();

            return true;

	}

	else if (e.target == cb_case) {

	    casesens = cb_case.getState();

	    return true;

	}



        return false;

    }



    public static SearchCookie Create(Applet app, String banner) {

	Container c = app; 



	do { 

	    c = c.getParent(); 

	} while (!(c instanceof Frame)); 



	Frame f = (Frame) c;



	FindBox mb = new FindBox(f, banner);



	Point pt = f.location();



	mb.move(pt.x+200, pt.y+300);

	mb.show();



	return new SearchCookie(searchStr, casesens);

    }

}

