package lsedit;

import java.util.*;



public class FlipLayoutHorizontally extends LandscapeLayouter {

    public FlipLayoutHorizontally() {

    }



    public String getMenuLabel() {

	return "Flip layout horizontally";

    }



    public String doLayout() {

	EntityInstance pe = getRoot();

	Layout plyt = getLayout(pe);



	Enumeration en = getChildrenIteration(pe);



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout clyt = getLayout(ce);



	    double margin = clyt.x - plyt.x;



	    clyt.x = plyt.x + plyt.width - clyt.width - margin;



	    setLayout(ce, clyt);

	}



	return "Layout flipped horizontally";

    }

}

