package lsedit;

import java.util.*;



public class FlipLayoutVertically extends LandscapeLayouter {

    public FlipLayoutVertically() {

    }



    public String getMenuLabel() {

	return "Flip layout vertically";

    }



    public String doLayout() {

	EntityInstance pe = getRoot();

	Layout plyt = getLayout(pe);



	Enumeration en = getChildrenIteration(pe);



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout clyt = getLayout(ce);



	    double margin = clyt.y - plyt.y;



	    clyt.y = plyt.y + plyt.height - clyt.height - margin;



	    setLayout(ce, clyt);

	}



	return "Layout flipped vertically";

    }

}

