package lsedit;

import java.util.*;



public class GridGroupHorizontally extends LandscapeLayouter {

    public GridGroupHorizontally() {

    }



    public String getMenuLabel() {

	return "Layout group horizontally";

    }



    public String doLayout() {

	Vector cset = getGroup();



	if (cset == null) {

	    beep();

	    return "No group selected";

	}



	EntityInstance ke = getKeyEntity();

	EntityInstance pe = getParent(ke);



	sortVectorByString(cset);



	Layout flyt = getLayout(ke);

	Layout plyt = getLayout(pe);



	Enumeration en = cset.elements();



	int num = 0;



	double mh = 0;

	double tx = flyt.x;

	double cx = tx;



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout lyt = getLayout(ce);



	    if ((cx + lyt.width + 4) > (plyt.x + plyt.width))

		break;



	    if (mh < lyt.height)

		mh = lyt.height;



	    cx += (lyt.width + 4);

	    num++;

	}



	double cy = flyt.y;



	en = cset.elements();



	cx = tx;



	int n = 0;



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout lyt = getLayout(ce);



	    lyt.x = cx;

	    lyt.y = cy;



	    setLayout(ce, lyt);



	    n++;



	    if (n == num) {

		cy += (mh + 4);

		cx = tx;

		n = 0;

	    }

	    else {

	    	cx += (lyt.width + 4);

	    }

	}



        return "Laid out group to grid horizontally";

    }

}

