package lsedit;

import java.util.*;



public class GridGroupVertically extends LandscapeLayouter {

    public GridGroupVertically() {

    }



    public String getMenuLabel() {

	return "Layout group vertically";

    }



    public String doLayout() {

	Vector cset = getGroup();



	if (cset == null) {

	    beep();

	    return "No group selected";

	}



	EntityInstance ke = getKeyEntity();

	EntityInstance pe = getParent(ke);



	sortVectorByString(cset);



	Layout flyt = getLayout(ke);

	Layout plyt = getLayout(pe);



	Enumeration en = cset.elements();



	int num = 0;



	double mw = 0;

	double ty = flyt.y;

	double cy = ty;



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout lyt = getLayout(ce);



	    if ((cy + lyt.height + 4) > (plyt.y + plyt.height))

		break;



	    if (mw < lyt.width)

		mw = lyt.width;



	    cy += (lyt.height + 4);

	    num++;

	}



	double cx = flyt.x;



	en = cset.elements();



	cy = ty;



	int n = 0;



	while (en.hasMoreElements()) {

	    EntityInstance ce = (EntityInstance) en.nextElement();



	    Layout lyt = getLayout(ce);



	    lyt.x = cx;

	    lyt.y = cy;



	    setLayout(ce, lyt);



	    n++;



	    if (n == num) {

		cx += (mw + 4);

		cy = ty;

		n = 0;

	    }

	    else {

	    	cy += (lyt.height + 4);

	    }

	}



	return "Laid out group to grid vertically";

    }

}

