package lsedit;

import java.awt.*;

import java.util.*;



public class MaxMinWindowButton extends ToolBarButton

{

    protected static boolean localState = false;



    protected static final String description = 

	"Full window landscape/Bookshelf";



    protected String getDesc() {

	return description;

    }



    protected void paintIcon(Graphics gc) {

	Dimension dim = size();



	gc.setColor(Color.black);



	if (localState) {

	    gc.drawRect(MARGIN*2, MARGIN*2,

			dim.width-MARGIN*4, dim.height-MARGIN*4);

	    gc.drawLine(MARGIN*2, MARGIN*2+3, dim.width-MARGIN*2, MARGIN*2+3);



	    gc.setColor(Color.gray);



	    int w = (dim.width-MARGIN*4)/3;



	    gc.drawLine(MARGIN*2+w, MARGIN*2+4, 

			MARGIN*2+w, dim.height-MARGIN*2);

	    

	    gc.drawLine(MARGIN*2+1, MARGIN*2+6, 

			MARGIN*2+w-1, MARGIN*2+6);



	    gc.drawLine(MARGIN*2+1, dim.height-MARGIN*2-w, 

			MARGIN*2+w-1, dim.height-MARGIN*2-w);

	}

	else {

	    gc.drawRect(MARGIN*2, MARGIN*2,

			dim.width-MARGIN*4, dim.height-MARGIN*4);

	    gc.drawLine(MARGIN*2, MARGIN*2+3, dim.width-MARGIN*2, MARGIN*2+3);

	}

    }



    public MaxMinWindowButton(ToolBarEventHandler teh) {

	super(teh);

	key = CTRL.MAXMIN;

	momentary = true;

	buttonLook = true;



	resize(HEIGHT, HEIGHT);

    }



    public void setState(boolean state) {

	localState = state;

    }

}



