package lsedit;

import java.util.*;



public class OrderedHashTableEnumeration extends Object implements Enumeration {



    Hashtable ht;

    int nextId; 



    public OrderedHashTableEnumeration(Hashtable ht) {

	this.ht = ht;

	nextId = 0; 

    }



    public boolean hasMoreElements() {

	return nextId < ht.size(); 

    }



    public Object nextElement() {

	Enumeration enum1 = ht.elements();



	while (enum1.hasMoreElements()) {

	    LandscapeClassObject lco =

		(LandscapeClassObject) enum1.nextElement();



	    if (lco.getNid() == nextId) {

		nextId++;

		return lco; 

	    }

	}

	return null; 

    }

}

