package lsedit;

import java.applet.*;

import java.awt.*;

import java.util.*;



public class PopupHelp extends Object implements Runnable {



    protected static final int POPUP_COUNT = 5;



    protected String str = null;



    protected Thread thread;



    protected HelpBox   hb;

    protected Dimension dim;



    protected Point     pt = new Point(0, 0);



    protected int       count;



    protected void showIt() {

	hb.set(str);



	Rectangle r = hb.bounds();



	int xpos = (pt.x + 10 + r.width < dim.width) ?

			(pt.x + 10) : (dim.width - r.width - 10);

	int ypos = pt.y + 15;



	hb.move(xpos, ypos);

	hb.show();

    }



    public PopupHelp(HelpBox hb, Dimension dim) {

	this.hb = hb;

	this.dim = dim;

    }



    public void run() {

	try {

	    while (str != null && count > 0) {

	        Thread.sleep(100);

		count--;

	    }



	    if (str != null) 

	        showIt();

	}

	catch (Exception e) {

	}



	thread = null;

    }

	

    public void set(String newStr, int x, int y) {

	if (newStr == null || newStr.length() == 0) {

	    clear();

	}

	else {

	    hb.hide();



	    str = newStr;

	    pt.x = x;

	    pt.y = y;



	    count = POPUP_COUNT;



	    if (thread == null) {

		thread = new Thread(this);

		thread.start();

	    }

	}

    }



    public void clear() {

	if (hb.isVisible()) 

	   hb.hide();



	str = null;

    }

}



