package lsedit;

import java.awt.*;


import java.util.*;





public class Query_f_Button extends ToolBarButton


{


    protected static final Font cfont = new Font("Helvetica", Font.BOLD, 16);





    protected static final String description = "Forward edge query";





    protected String getDesc() {


	return description;


    }





    protected void paintIcon(Graphics gc) {


	Dimension dim = size();





	int w = dim.width/2;


	int h = dim.height/2 - MARGIN*2;





	gc.setColor(Color.red);


	gc.fillRect(MARGIN*2, MARGIN*2, w, h);





	gc.setColor(Color.black);


	gc.drawRect(MARGIN*2, MARGIN*2, w, h);


	


	int x = MARGIN*2 + w/4;





	drawEdge(gc, x, dim.height/2, x, dim.height-MARGIN);





	// gc.setColor(Color.cyan);


	gc.setFont(cfont);


	gc.drawString("?", x + w/4, dim.height - MARGIN*2);


    }








    public Query_f_Button(ToolBarEventHandler teh) {


	super(teh);


	key = 'f';


	momentary = true;


    }


}


