package lsedit;

import java.util.*;



public class RealPoint extends Object {

    

    public double x, y;

    public boolean active = true; 	// src point of active segment

    public boolean elision = false; 	// src point of elision segment



    public RealPoint() {

    }



    public RealPoint(double x, double y) {

	this.x = x;

	this.y = y;

    }



    public RealPoint(int x, int y) {

        this.x = (double) x;

        this.y = (double) y;

    }



    public void move(double x, double y) {

	this.x = x;

	this.y = y;

    }



    public void translate(double dx, double dy) {

	x += dx;

	y += dy;

    }



    public boolean isBend() {

	return false;

    }



    public Object clone() {

	RealPoint pt = new RealPoint(x, y);



	pt.active = active;

	pt.elision = elision;



	return pt;

    }



    public String toString() {

	return "RealPoint(" + x + ", " + y + ")";

    }

}

