package lsedit;

import java.util.*;



public class SearchCookie {

    

    public Vector subPatterns = new Vector();

    public boolean matchCase;



    public boolean complexPattern = false;

    public boolean startAny = false;

    public boolean endAny   = false;



    protected void getPatterns(String pattern) {

	int pos = 0;

	int len = pattern.length();



	complexPattern = (pattern.indexOf("*") >= 0 ||

				pattern.indexOf("?") >= 0);



	startAny = pattern.startsWith("*");

	endAny   = pattern.endsWith("*");



	// A*

	// A*B

	// *A

	// *A*



	while (pos < len) {

	    int ind = pattern.indexOf("*", pos);



	    if (ind < 0) {

		subPatterns.addElement(pattern.substring(pos));

		break;

	    }



	    if (ind > pos)

		subPatterns.addElement(pattern.substring(pos, ind));



	    // At *, find end of one or more *



	    while (ind < len && pattern.charAt(ind) == '*')

		ind++;



	    pos = ind;

	}



	Enumeration en = subPatterns.elements();



	while (en.hasMoreElements()) {

	    String subpattern = (String) en.nextElement();



	    System.out.println(subpattern);

	}



	System.out.println(startAny + " " + endAny);

    }



    public SearchCookie(String pattern, boolean cs) {

	if (pattern == null || pattern.length() == 0)

	    return;



	matchCase = cs;

	if (!matchCase)

	    pattern = pattern.toLowerCase();



	getPatterns(pattern);

    }

}

