package lsedit;

import java.applet.*; 

import java.awt.*;



public class AttributeEditDialog extends EditAttribute {

    protected static final int COLS = 50;



    protected EntityInstance e;



    protected String addNL(String instr, int cols) {

	StringBuffer sb = new StringBuffer();



	int spos = 0;

	int epos;

	int len  = instr.length();



	while (spos+cols < len) {

	    epos = spos+cols-1;



	    while (epos > spos && instr.charAt(epos) != ' ')

	        epos--; 



	    if (epos == spos) 

	       epos = cols;



	    sb.append(instr.substring(spos, epos) + "\n");

	    spos = epos+1;

	}



	sb.append(instr.substring(spos));



	return new String(sb);

    }



    protected String stripNL(String instr) {

	return instr.replace('\n', ' ');

    }



    public AttributeEditDialog(EntityInstance e, Frame f) {

        // Create a dialog

        super(f);



	this.e = e;



	Color c = e.getColor();



	id.setText(e.getId());

	label.setText(e.getLabel());



	description.setText(addNL(e.getDescription(), 75));

				// description.getColumns()));



	e_c_r.setText("" + c.getRed());

	e_c_g.setText("" + c.getGreen());

	e_c_b.setText("" + c.getBlue());



	c = e.getLabelColor();



	l_c_r.setText("" + c.getRed());

	l_c_g.setText("" + c.getGreen());

	l_c_b.setText("" + c.getBlue());

    }



    void OK_button_action(Event evt, Object arg) { 

	//Button OK_button was hit

	e.setLabel(label.getText()); 

	e.setDescription(stripNL(description.getText()));

	this.hide();

	this.dispose();

    }



    void Cancel_button_action(Event evt, Object arg) { 

	//Button Cancel_button was hit

	this.hide();

	this.dispose();

    }



    public static void Create(Applet ap, EntityInstance e) {

	Container c = ap; 



	do { 

	    c = c.getParent(); 

	} while (!(c instanceof Frame)); 



	AttributeEditDialog teb = new AttributeEditDialog(e, (Frame) c); 



	teb.show(); 

    }

}

