package lsedit;

import java.awt.*;

import java.util.*;

import java.io.*;



// 3D Boxes in a landscape (default style)



public class Box3D extends BaseEntity {



    public Box3D() {

    }

      

    public Box3D(EntityClass parentClass, String id, Diagram dg) {

	super(parentClass, id, dg);

    }



    public void draw(Graphics g) {


	setColor(g);

	ScreenLayout rect = new ScreenLayout(x(), y(), width(), height()); 



        g.draw3DRect(rect.x, rect.y, rect.width, rect.height, true);

        g.fill3DRect(rect.x+1, rect.y+1, rect.width-1, rect.height-1, true);



	drawFlagAttributes(g, rect);



	// Now handle annotation tabs 



	drawAnnotationTabs(g);

    }

}

