package lsedit;

import java.awt.*;

import java.io.*;

import java.util.*;

import java.applet.Applet;



public class EditNewEntity extends Dialog { //Class definition



  private int Value, NextValue;//used to fix bug in Java v1.02 Scrollbars;



  //Object definitions

  Button OK_button = new Button("OK");

  Button Cancel_button = new Button("Cancel");

  Label Label2 = new Label("ID:");

  TextArea description = new TextArea();

  TextField id = new TextField("");

  Label Label5 = new Label("Label:");

  TextField label = new TextField("");

  Label Label7 = new Label("Description:");

  Label Label8 = new Label("Entity Color:");

  TextField e_c_r = new TextField("");

  TextField e_c_g = new TextField("");

  TextField e_c_b = new TextField("");

  Label Label12 = new Label("Label color:");

  TextField l_c_r = new TextField("");

  TextField l_c_g = new TextField("");

  TextField l_c_b = new TextField("");



  Label Label14 = new Label("Style:");

  Choice style = new MyChoice();



  Label Label15 = new Label("Type:");

  Choice type = new MyChoice();



  void addPosition( Component c,String lo,int x,int y,int w,int h ){ //adds component

    add(c); c.reshape(x,y,w,h);

  }



  void setParameters( Component c,int fr,int fg,int fb,int br,int bg, //set component parameters

                      int bb,String font,int style,int size){

    try{ //set if possible

      c.setForeground(new Color(fr,fg,fb));

      c.setBackground(new Color(br,bg,bb));

      c.setFont(new Font(font,style,size));

    }

    catch (Exception e){}

  }



  Image loadImage(String fileName){//routine for loading images

    return Toolkit.getDefaultToolkit().getImage(fileName);

  }



  int StrToInt(String s){// StrToInt

    return Integer.parseInt(s);

  }



  String IntToStr(int i){// IntToStr

    return ""+i;

  }



  public EditNewEntity(Frame fr) { //Constructor

    super(fr,"Create New Entity",true); //false if non-modal

    setLayout(null);

    resize(486,476);

    setForeground(new Color(0,0,0));

    setBackground(new Color(192,192,192));

    setFont(new Font("Dialog",0,12));



    addPosition(Label2,"", 14,39,40,20); // Label Label2

    setParameters(Label2,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(id,"",75,33,343,25); // TextField id

    setParameters(id,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(Label5,"",14,66,48,25); // Label Label5

    setParameters(Label5,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(label,"",75,66,342,25); // TextField label

    setParameters(label,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(description,"",21,132,401,133); // TextArea description

    setParameters(description,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(Label7,"",14,100,70,25); // Label Label7

    setParameters(Label7,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Label8,"",14,274,79,25); // Label Label8

    setParameters(Label8,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(e_c_r,"",104,273,40,25); // TextField e_c_r

    setParameters(e_c_r,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(e_c_g,"",149,273,40,25); // TextField e_c_g

    setParameters(e_c_g,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(e_c_b,"",196,273,40,25); // TextField e_c_b

    setParameters(e_c_b,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(Label12,"",15,303,79,25); // Label Label12

    setParameters(Label12,14,0,0,192,192,192,"Dialog",0,12);

    addPosition(l_c_r,"",104,305,40,25); // TextField l_c_r

    setParameters(l_c_r,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(l_c_g,"",150,305,39,25); // TextField l_c_g

    setParameters(l_c_g,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(l_c_b,"",195,304,40,25); // TextField l_c_b

    setParameters(l_c_b,0,0,0,255,255,255,"Dialog",0,12);



    addPosition(Label14,"",14,336,41,25); // Label Label14

    setParameters(Label14,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(style,"",75,336,343,25); // Choice style

    setParameters(style,0,0,0,255,255,255,"Dialog",0,12);



    addPosition(Label15,"",14,366,41,25); // Label Label15

    setParameters(Label15,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(type,"",75,366,343,25); // Choice type

    setParameters(type,0,0,0,255,255,255,"Dialog",0,12);



    addPosition(OK_button,"",358,436,70,25); // Button OK_button

    setParameters(OK_button,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Cancel_button,"",277,436,72,25); // Button Cancel_button

    setParameters(Cancel_button,0,0,0,192,192,192,"Dialog",0,12);

    

    repaint();

  }



  public boolean action(Event evt, Object arg ){  //action handler

    if (evt.target == OK_button) OK_button_action(evt,arg);

    else if (evt.target == Cancel_button) Cancel_button_action(evt,arg);

    else if (evt.target == id) id_action(evt,arg);

    else if (evt.target == label) label_action(evt,arg);

    else if (evt.target == e_c_r) e_c_r_action(evt,arg);

    else if (evt.target == e_c_g) e_c_g_action(evt,arg);

    else if (evt.target == e_c_b) e_c_b_action(evt,arg);

    else if (evt.target == l_c_r) l_c_r_action(evt,arg);

    else if (evt.target == l_c_g) l_c_g_action(evt,arg);

    else if (evt.target == l_c_b) l_c_b_action(evt,arg);

    else if (evt.target == style) style_action(evt,arg);

    else if (evt.target == type) type_action(evt,arg);

    else return false;

    return true;

  }



  boolean catchCanvasesAndPanels(Event evt){// catch events for Canvases & Panels

    Component c= (Component)evt.target;

    return super.handleEvent(evt);

  }



  boolean catchScrollbars(Event evt){// catch events for Scrollbars

    Component c= (Component)evt.target;

    return super.handleEvent(evt);

  }



  public boolean handleEvent(Event evt) { //general event handler

    switch (evt.id) {

      case Event.WINDOW_DESTROY: System.exit(0);//Change to 'hide()' if not main window!

      case Event.MOUSE_UP:break;

      case Event.MOUSE_DOWN:

        if (evt.clickCount==1)

          return catchCanvasesAndPanels(evt);// handles single click in canvases/panels

        break;

      case Event.MOUSE_DRAG: break;

      case Event.MOUSE_MOVE: break;

      case Event.KEY_RELEASE:break;

      case Event.SCROLL_LINE_UP: //Scrollbars

      case Event.SCROLL_LINE_DOWN:

      case Event.SCROLL_PAGE_UP:

      case Event.SCROLL_PAGE_DOWN:

      case Event.SCROLL_ABSOLUTE:

      Component c= (Component)evt.target;//Below is a fix for bug in Java v1.02 Scrollbars

      Value=NextValue; NextValue=((Scrollbar)evt.target).getValue();

      if (evt.id != Event.SCROLL_ABSOLUTE) Value=NextValue;

      ((Scrollbar)evt.target).setValue(Value);

      return catchScrollbars(evt); //handle Scrollbars

    }//end of switch

    return super.handleEvent(evt);

  }//end of handleEvent



  public static void main(String args[]){ //main routine for test etc

    EditNewEntity nn= new EditNewEntity(null);

    nn.show();

  }



//**************** USER CODE'S SUPPOSED TO BE BELOW THIS LINE **********



  void OK_button_action(Event evt, Object arg){ //Button OK_button was hit

  }



  void Cancel_button_action(Event evt, Object arg){ //Button Cancel_button was hit

  }



  void id_action(Event evt, Object arg){ //Return was hit in TextField id

  }



  void label_action(Event evt, Object arg){ //Return was hit in TextField label

  }



  void e_c_r_action(Event evt, Object arg){ //Return was hit in TextField e_c_r

  }



  void e_c_g_action(Event evt, Object arg){ //Return was hit in TextField e_c_g

  }



  void e_c_b_action(Event evt, Object arg){ //Return was hit in TextField e_c_b

  }



  void l_c_r_action(Event evt, Object arg){ //Return was hit in TextField l_c_r

  }



  void l_c_g_action(Event evt, Object arg){ //Return was hit in TextField l_c_g

  }



  void l_c_b_action(Event evt, Object arg){ //Return was hit in TextField l_c_b

  }



  void style_action(Event evt, Object arg){ //Checkbox style0 was clicked

  }



  void type_action(Event evt, Object arg){ //Checkbox style4 was clicked

  }







} //End of class EditAttribute



