package lsedit;


import java.awt.*;


import java.util.*;





public class Elision_CS_Button extends ToolBarButton


{


    protected static final String description = "Hide/show supplier edges";





    protected String getDesc() {


	return description;


    }





    protected void paintIcon(Graphics gc) {


	Dimension dim = size();





	int w = dim.width/2;


	int h = dim.height - MARGIN*2 - 1;





	Color c = new Color(0.70f, 0.70f, 0.70f);





	if (Util.isBlack(c))


	    c = Color.lightGray;





	gc.setColor(c);


	gc.fillRect(MARGIN*2, MARGIN, w, h);


	


	gc.setColor(Color.black);


	gc.drawRect(MARGIN*2, MARGIN, w, h);





	int x = MARGIN*2 + w/2;





	drawEdge(gc, x, dim.height/2, x, dim.height-MARGIN-1);


    }





    public Elision_CS_Button(ToolBarEventHandler teh) {


	super(teh);


	key = 'S';


	momentary = false;


    }


}


