package lsedit;

import java.awt.*;

import java.util.*;

import java.io.*;



// Group style entities in a landscape.



public class GroupEntity extends BaseEntity {



    public GroupEntity() {

    }

      

    public GroupEntity(EntityClass parentClass, String id, Diagram dg) {

	super(parentClass, id, dg);

	setHeight(width());

    }



    public void draw(Graphics g) {

	ScreenLayout rect = new ScreenLayout(x(), y(), width(), height()); 



	Util.drawOutlineBox(g, rect, has3Dlook);



	drawFlagAttributes(g, rect);

    }



    public boolean isTransparent() {

	return true;

    }



    public boolean isCloseable() {

	return false;

    }



    public boolean isLabelDrawable() {

	return false;

    }



    public boolean isEnterable() {

	return false;

    }

}

