package lsedit;

public class InternalBufferStream extends DataInputStream

{

    protected int itp = 0;

    protected int ip  = 0;



    protected int dtp = 0;

    protected int dp  = 0;



    protected int stp = 0;

    protected int sp  = 0;



    protected int[][]    ints;

    protected double[][] doubles;

    protected String[][] strings;



    public int readInt() {

	if (ip == ints[itp].length) {

	    itp++;

	    ip = 0;

	}

	return ints[itp][ip++];

    }



    public double readDouble() {

	if (dp == doubles[dtp].length) {

	    dtp++;

	    dp = 0;

	}

	return doubles[dtp][dp++];

    }





    public String readUTF() {

	if (sp == strings[stp].length) {

	    stp++;

	    sp = 0;

	}

	return strings[stp][sp++];

    }



    public InternalBufferStream(int[][] i, double[][] d, String[][] s) {

	ints    = i;

	doubles = d;

	strings = s;

    }

}

