package lsedit;

import java.awt.*;

import java.io.*;

import java.util.*;

import java.applet.Applet;



public class PrintPrompt extends Dialog { //Class definition



  private int Value, NextValue;//used to fix bug in Java v1.02 Scrollbars;



  //Object definitions

  Checkbox Checkbox0 = new Checkbox("Output for web (setup for PDF)");

  Checkbox Checkbox1 = new Checkbox("Landscape orientation");

  Checkbox Checkbox2 = new Checkbox("Black & White");

  Label Label0 = new Label("Print to:");

  TextField TextField1 = new TextField("");

  Button Button2 = new Button("OK");

  Button Button3 = new Button("Cancel");

  //CheckboxGroup group = new CheckboxGroup(); //use for radio buttons!



  void addPosition( Component c,String lo,int x,int y,int w,int h ){ //adds component

    add(c); c.reshape(x,y,w,h);

  }



  void setParameters( Component c,int fr,int fg,int fb,int br,int bg, //set component parameters

                      int bb,String font,int style,int size){

    try{ //set if possible

      c.setForeground(new Color(fr,fg,fb));

      c.setBackground(new Color(br,bg,bb));

      c.setFont(new Font(font,style,size));

    }

    catch (Exception e){}

  }



  Image loadImage(String fileName){//routine for loading images

    return Toolkit.getDefaultToolkit().getImage(fileName);

  }



  int StrToInt(String s){// StrToInt

    return Integer.parseInt(s);

  }



  String IntToStr(int i){// IntToStr

    return ""+i;

  }



  public PrintPrompt(Frame fr) { //Constructor

    super(fr, "", true); //false if non-modal

    setLayout(null);

    resize(427,231);

    setForeground(new Color(0,0,0));

    setBackground(new Color(192,192,192));

    setFont(new Font("Dialog",0,12));

    addPosition(Checkbox0,"",8,43,240,25); // Checkbox Checkbox0

    setParameters(Checkbox0,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Checkbox1,"",8,63,240,25); // Checkbox Checkbox1

    setParameters(Checkbox1,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Checkbox2,"",8,83,240,25); // Checkbox Checkbox2

    setParameters(Checkbox2,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Label0,"",8,133,69,25); // Label Label0

    setParameters(Label0,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(TextField1,"",85,133,328,25); // TextField TextField1

    setParameters(TextField1,0,0,0,255,255,255,"Dialog",0,12);

    addPosition(Button2,"",259,193,70,25); // Button Button2

    setParameters(Button2,0,0,0,192,192,192,"Dialog",0,12);

    addPosition(Button3,"",342,193,70,25); // Button Button3

    setParameters(Button3,0,0,0,192,192,192,"Dialog",0,12);

    repaint();

  }



  public boolean action(Event evt, Object arg ){  //action handler

    if (evt.target == TextField1) TextField1_action(evt,arg);

    else if (evt.target == Button2) Button2_action(evt,arg);

    else if (evt.target == Button3) Button3_action(evt,arg);

    else if (evt.target == Checkbox0) Checkbox0_action(evt,arg);

    else if (evt.target == Checkbox1) Checkbox1_action(evt,arg);

    else return false;

    return true;

  }



  boolean catchCanvasesAndPanels(Event evt){// catch events for Canvases & Panels

    Component c= (Component)evt.target;

    return super.handleEvent(evt);

  }



  boolean catchScrollbars(Event evt){// catch events for Scrollbars

    Component c= (Component)evt.target;

    return super.handleEvent(evt);

  }



  public boolean handleEvent(Event evt) { //general event handler

    switch (evt.id) {

      case Event.WINDOW_DESTROY: System.exit(0);//Change to 'hide()' if not main window!

      case Event.MOUSE_UP:break;

      case Event.MOUSE_DOWN:

        if (evt.clickCount==1)

          return catchCanvasesAndPanels(evt);// handles single click in canvases/panels

        break;

      case Event.MOUSE_DRAG: break;

      case Event.MOUSE_MOVE: break;

      case Event.KEY_RELEASE:break;

      case Event.SCROLL_LINE_UP: //Scrollbars

      case Event.SCROLL_LINE_DOWN:

      case Event.SCROLL_PAGE_UP:

      case Event.SCROLL_PAGE_DOWN:

      case Event.SCROLL_ABSOLUTE:

      Component c= (Component)evt.target;//Below is a fix for bug in Java v1.02 Scrollbars

      Value=NextValue; NextValue=((Scrollbar)evt.target).getValue();

      if (evt.id != Event.SCROLL_ABSOLUTE) Value=NextValue;

      ((Scrollbar)evt.target).setValue(Value);

      return catchScrollbars(evt); //handle Scrollbars

    }//end of switch

    return super.handleEvent(evt);

  }//end of handleEvent



//**************** USER CODE'S SUPPOSED TO BE BELOW THIS LINE **********



  void TextField1_action(Event evt, Object arg){ //Return was hit in TextField TextField1

     //Your code here!

  }



  void Button2_action(Event evt, Object arg){ //Button Button2 was hit

     //Your code here!

  }



  void Button3_action(Event evt, Object arg){ //Button Button3 was hit

     //Your code here!

  }



  void Checkbox0_action(Event evt, Object arg){ 

     //Your code here!

  }



  void Checkbox1_action(Event evt, Object arg){ 

     //Your code here!

  }





} //End of class PrintPrompt



