package lsedit;

import java.awt.*;

import java.util.*;

import java.io.*;



// Source object entity



public class SourceObjectEntity extends BaseEntity {



    public SourceObjectEntity() {

    }

      

    public SourceObjectEntity(EntityClass parentClass, String id, Diagram dg) {

	super(parentClass, id, dg);

    }



    public void draw(Graphics g) {

	setColor(g);



	ScreenLayout rect = new ScreenLayout(x(), y(), width(), height()); 



	g.fillOval(rect.x, rect.y, rect.width, rect.height);



	g.setColor((highlightFlag && isOpen()) ? Color.red : Color.black);

	g.drawOval(rect.x, rect.y, rect.width, rect.height);



	drawFlagAttributes(g, rect);



	// Now handle annotation tabs 



	drawAnnotationTabs(g);

    }

}

